- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDEffectParameterSurfaceInitCube Class Reference

A cube-map surface initialization method. More...

`#include <FCDEffectParameterSurface.h>`

Inheritance diagram for FCDEffectParameterSurfaceInitCube:

List of all members.

## Public Types
enum | CubeType { ALL, PRIMARY, FACE }
| The types of cube-map initializations. More...
## Public Member Functions
| FCDEffectParameterSurfaceInitCube ()
| Constructor: builds a new cube-map initialization method.
virtual | ~FCDEffectParameterSurfaceInitCube ()
| Destructor.
virtual FCDEffectParameterSurfaceInitFactory::InitType | GetInitType () const
| Retrieves the initialization type.
virtual FCDEffectParameterSurfaceInit * | Clone (FCDEffectParameterSurfaceInit *clone) const
| Creates a full copy of the surface initialization parameter.
## Public Attributes
CubeType | cubeType
| The type of cube-map initialization.
UInt16List | order
| The list of image indices.

## Detailed Description

A cube-map surface initialization method.

## Member Enumeration Documentation

enum FCDEffectParameterSurfaceInitCube::CubeType

  | The types of cube-map initializations. Enumerator:
  PRIMARY | Load all the mip-levels of all the cube-map faces from one image file.
  FACE | Load all the cube-map faces from separate image files.

## Member Function Documentation

virtual FCDEffectParameterSurfaceInit* FCDEffectParameterSurfaceInitCube::Clone | ( | FCDEffectParameterSurfaceInit * | clone | ) | const`[virtual]`

  | Creates a full copy of the surface initialization parameter. Parameters:
  | clone | The cloned surface initialization. If this pointer is NULL, a new surface initialization parameter will be created and you will need to delete this pointer.
Returns: The cloned surface initialization. Reimplemented from FCDEffectParameterSurfaceInit.

virtual FCDEffectParameterSurfaceInitFactory::InitType FCDEffectParameterSurfaceInitCube::GetInitType | ( |  | ) | const`[inline, virtual]`

| Retrieves the initialization type. You cannot modify this value. To change the initialization type of a surface parameter, create a new surface initialization structure of the correct type. Returns: The initialization type. Implements FCDEffectParameterSurfaceInit.

## Member Data Documentation

UInt16List FCDEffectParameterSurfaceInitCube::order

| The list of image indices. The images are contained within the surface effect parameter. This is used only for the FACE cube-map initialization type and indicates how to match the faces of faces of the cube-map with the images in the surface effect parameter.

The documentation for this class was generated from the following file:

- FCDocument/FCDEffectParameterSurface.h